WordPress.org

Ready to get started?Download WordPress

Forums

IntenseDebate Comments
[resolved] Fatal error! (3 posts)

  1. Daniel J. Lewis
    Member
    Posted 3 years ago #

    Updating to 1.9.1 creates fatal errors on my blog, too. I'm running WordPress 3.1.2 Network.

  2. mccomb
    Member
    Posted 3 years ago #

    To fix this error, go to line 467 of intensedebate.php

    Change:

    f ( ! in_array( $comment->comment_approved, apply_filters( 'id_comment_approved_blacklist', array( 'spam' ) ) ) ) {

    To:

    if ( ! in_array( $comment->comment_approved, apply_filters( 'id_comment_approved_blacklist', array( 'spam' ) ) ) ) {

    They have an 'f' instead of an 'if'

  3. We apologize for the delay. We were working hard a fix and we now have it ready in the 2.9.1 version of IntenseDebate (we decided not to bump the version number for this). There are three ways to fix this depending on your level of access:

    1. Delete the plugin from the Plugins section of your blog's Dashboard and reinstall it.

    2. If you cannot access your Dashboard, you'll need to access your server via FTP or SFTP http://codex.wordpress.org/FTP_Clients and navigate to the /wp-content/plugins/ directory. Once there, delete the /intensedebate/ directory and all of the files within. Once that is done, return to the Plugins section of your blog's Dashboard and reinstall the plugin.

    3. If you cannot access your server via FTP or SFTP, please contact your hosting provider to remove the /wp-content/plugins/intensedebate/ directory and files for you, then reinstall from the Plugins section of your blog's Dashboard.

    Please note that neither of these reinstall methods will affect your existing comments.

    We apologize for the inconvenience.

    mccomb, thanks for dropping by to post the fix!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic